# Plugin configuration

!!! abstract "Reference"
    Types plugin authors use when declaring config for their plugin's CLI
    flags, `pyproject.toml` keys, or both.

See [Write plugins](../../how-to/write-plugins.md) for end-to-end
examples.

## `Cli`

::: oxitest.Cli
    options:
      show_source: false
      heading_level: 3

## `Conf`

::: oxitest.Conf
    options:
      show_source: false
      heading_level: 3

## `Both`

::: oxitest.Both
    options:
      show_source: false
      heading_level: 3

## `CliExtension`

::: oxitest.CliExtension
    options:
      show_source: false
      heading_level: 3
